# secret

<!---MARKER_GEN_START-->
Manage Swarm secrets

### Subcommands

| Name                           | Description                                         |
|:-------------------------------|:----------------------------------------------------|
| [`create`](secret_create.md)   | Create a secret from a file or STDIN as content     |
| [`inspect`](secret_inspect.md) | Display detailed information on one or more secrets |
| [`ls`](secret_ls.md)           | List secrets                                        |
| [`rm`](secret_rm.md)           | Remove one or more secrets                          |



<!---MARKER_GEN_END-->

## Description

Manage secrets.
